## org.eclipse.emf.exporter.ui.contribution.base
Class ModelExporterPackagePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage
                      org.eclipse.emf.exporter.ui.contribution.base.ModelExporterPackagePage

All Implemented Interfaces:
  IModelExporterPage, IDialogPage, IMessageProvider, IWizardPage, Listener

    public class ModelExporterPackagePage

extends ModelConverterPackagePage
implements IModelExporterPage

Since:
  2.2.0

Nested Class Summary
`class` `ModelExporterPackagePage.ReferencedGenPackageTreeEditorHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`ModelConverterPage.PageDiagnosticHandler`

Field Summary

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage
`ePackageDataTableColumn, ePackagesCheckboxTableViewer, filteredEPackages, isCellEditing, referencedGenModelsCheckboxTreeViewer, showReferencedGenModels`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ModelExporterPackagePage(ModelExporter modelExporter, java.lang.String pageName)`

Method Summary
`protected void` `addReferencedGenModelsTreeCheckStateManager(Tree tree)`
`protected void` `addReferencedGenModelsTreeColumns(CheckboxTreeViewer referencedGenModelsTreeViewer)`
`protected void` `adjustEPackagesTableViewer(CheckboxTableViewer ePackagesTableViewer)`
`protected java.lang.String` `getArtifactText(java.lang.String modelExporterId, URI artifactURI)`
`protected java.lang.String` `getEPackageData(EPackage ePackage)`
`protected java.lang.String` `getEPackageDataColumnLabel()`
`ModelExporter` `getModelExporter()`
`protected ILabelProvider` `getReferencedGenModelsTreeViewerLabelProvider(AdapterFactory adapterFactory)`
`protected java.util.List<GenPackage>` `getReferencedGenPackagesToCheck(java.util.List<GenPackage> genPackages, boolean reloadReferencedGenPackagesTable)` Returns a not null list with the GenPackages that should be selected in the referenced Tree Viewer.
`protected void` `referencedGenModelsCheckboxTreeViewerCheckStateChanged(CheckStateChangedEvent event)` This method is invoked when one element in the referenced GenModels tree is checked or unchecked.
`protected void` `setEPackageData(EPackage ePackage, java.lang.String data)`
`protected boolean` `supportsNestedPackages()`
`protected void` `validate()`
`protected boolean` `validateEPackageData(EPackage ePackage, java.lang.String data)`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage

`addEPackagesTableColumns, addExternalGenModels, addReferencedGenModels, adjustReferencedGenModelsTreeViewer, createControl, createEPackageDataColumnTableEditor, createPackageControl, createReferencedGenModelControl, dispose, ePackageCheckStateChanged, filterEPackagesTable, getAddButtonLabel, getBrowseButtonLabel, getCheckedEPackages, getCheckedReferencedGenPackages, getDeselectAllLabel, getEPackageColumnLabel, getEPackageImage, getEPackagesTableViewerContentProvider, getEPackagesTableViewerLabelProvider, getLabel, getLabel, getLabel, getPackagesLabel, getReferencedGenModelsLabel, getReferencedGenModelsTreeViewerContentProvider, getSelectAllLabel, getSelectGenModelDialogMessage, isPageComplete, pageActivated, referencedGenModelsAddSelected, referencedGenModelsBrowseSelected, setShowReferencedGenModels, showReferencedGenModels`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`doHandleEvent, getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, isPageComplete, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### ModelExporterPackagePage

    public ModelExporterPackagePage(ModelExporter modelExporter,
                                    java.lang.String pageName)

Method Detail

### getModelExporter

    public ModelExporter getModelExporter()

  Specified by:
    `getModelExporter` in interface `IModelExporterPage`

### adjustEPackagesTableViewer

    protected void adjustEPackagesTableViewer(CheckboxTableViewer ePackagesTableViewer)

  Overrides:
    `adjustEPackagesTableViewer` in class `ModelConverterPackagePage`

### validateEPackageData

    protected boolean validateEPackageData(EPackage ePackage,
                                           java.lang.String data)

  Overrides:
    `validateEPackageData` in class `ModelConverterPackagePage`

### setEPackageData

    protected void setEPackageData(EPackage ePackage,
                                   java.lang.String data)

  Overrides:
    `setEPackageData` in class `ModelConverterPackagePage`

### getEPackageData

    protected java.lang.String getEPackageData(EPackage ePackage)

  Overrides:
    `getEPackageData` in class `ModelConverterPackagePage`

### getEPackageDataColumnLabel

    protected java.lang.String getEPackageDataColumnLabel()

  Overrides:
    `getEPackageDataColumnLabel` in class `ModelConverterPackagePage`

### addReferencedGenModelsTreeColumns

    protected void addReferencedGenModelsTreeColumns(CheckboxTreeViewer referencedGenModelsTreeViewer)

  Overrides:
    `addReferencedGenModelsTreeColumns` in class `ModelConverterPackagePage`

### addReferencedGenModelsTreeCheckStateManager

    protected void addReferencedGenModelsTreeCheckStateManager(Tree tree)

  Overrides:
    `addReferencedGenModelsTreeCheckStateManager` in class `ModelConverterPackagePage`

### referencedGenModelsCheckboxTreeViewerCheckStateChanged

    protected void referencedGenModelsCheckboxTreeViewerCheckStateChanged(CheckStateChangedEvent event)

  Description copied from class: `ModelConverterPackagePage`
  This method is invoked when one element in the referenced GenModels tree is checked or unchecked. The event argument can be `null`.

  Overrides:
    `referencedGenModelsCheckboxTreeViewerCheckStateChanged` in class `ModelConverterPackagePage`

### supportsNestedPackages

    protected boolean supportsNestedPackages()

  Overrides:
    `supportsNestedPackages` in class `ModelConverterPackagePage`

### getReferencedGenModelsTreeViewerLabelProvider

    protected ILabelProvider getReferencedGenModelsTreeViewerLabelProvider(AdapterFactory adapterFactory)

  Overrides:
    `getReferencedGenModelsTreeViewerLabelProvider` in class `ModelConverterPackagePage`

### getArtifactText

    protected java.lang.String getArtifactText(java.lang.String modelExporterId,
                                               URI artifactURI)

### validate

    protected void validate()

  Overrides:
    `validate` in class `ModelConverterPackagePage`

### getReferencedGenPackagesToCheck

    protected java.util.List<GenPackage> getReferencedGenPackagesToCheck(java.util.List<GenPackage> genPackages,
                                                                         boolean reloadReferencedGenPackagesTable)

  Description copied from class: `ModelConverterPackagePage`
  Returns a not null list with the GenPackages that should be selected in the referenced Tree Viewer. The list passed in the genPackage is not null and contains all GenPackages that can be marked. This list can be both changed and returned.

  Overrides:
    `getReferencedGenPackagesToCheck` in class `ModelConverterPackagePage`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.